package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_vip_group_payment):
 */
public class StudentVipGroupPayment {

	/**  */
	private Long id;
	
	/**  */
	private Integer userId;
	
	/**  */
	private Long vipGroupId;
	
	/**  */
	private Integer classGroupId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private Long studentPaymentOrderId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setVipGroupId(Long vipGroupId){
		this.vipGroupId = vipGroupId;
	}
	
	public Long getVipGroupId(){
		return this.vipGroupId;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setStudentPaymentOrderId(Long studentPaymentOrderId){
		this.studentPaymentOrderId = studentPaymentOrderId;
	}
	
	public Long getStudentPaymentOrderId(){
		return this.studentPaymentOrderId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
